Subject: bug#21737: 24.5; Minor feature request: `comint-previous-matching-input-from-input' and point

From: Eli Barzilay <[email-masked]>
Date: Thu, 22 Oct 2015 16:29:15 -0400

`comint-previous-matching-input-from-input' used to insert a match and
leave the point at the end of the line.  I found that behavior much
better than zsh and bash since when recalling old commands I edit the
last part of the command much more often.  (In fact, I think that
comint used to leave the point where it was years ago, since I
remember having to tweak emacs to put it at the end.)

A few years ago, there was a bug & a patch reported by Le Wang about
keeping the point at the same place -- something that I find really
annoying...  The problem with this patch is that it has no option to
leave the point at the end, forcing me to duplicate the whole function
if I want that behavior.

So, this is a feature request to add such an option with a new custom
variable.

-- 
                    ((x=>x(x))(x=>x(x)))                   Eli Barzilay:
                    http://barzilay.org/                   Maze is Life!